package cn.com.ctop.common.module.material.mapper;

import cn.com.ctop.common.module.material.entity.MaterialVideoInfo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 视频素材基础信息
 */
public interface MaterialVideoInfoMapper extends BaseMapper<MaterialVideoInfo> {

    void deleteByMd5(@Param("md5") String md5);

    JSONObject joinMaterialInfo(@Param("md5") String md5);

    JSONObject joinMaterialAscription(@Param("md5") String md5);

    List<JSONObject> joinMaterialCutFrame(@Param("md5") String md5);

    JSONObject joinMaterialParameter(@Param("md5") String md5);

}
